Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class BiomeEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.BiomeEvent

Direct Known Subclasses:
  BiomeEvent.BiomeColor, BiomeEvent.BlockReplacement, BiomeEvent.CreateDecorator

    public class BiomeEvent

extends Event

Nested Class Summary
`static class` | `BiomeEvent.BiomeColor`
`static class` | `BiomeEvent.BlockReplacement`
`static class` | `BiomeEvent.CreateDecorator`
`static class` | `BiomeEvent.GetFoliageColor` This event is fired when a biome is queried for its grass color.
`static class` | `BiomeEvent.GetGrassColor` This event is fired when a biome is queried for its grass color.
`static class` | `BiomeEvent.GetVillageBlockID` This event is fired when the village generator attempts to choose a block ID based on the village's biome.
`static class` | `BiomeEvent.GetVillageBlockMeta` This event is fired when the village generator attempts to choose a block metadata based on the village's biome.
`static class` | `BiomeEvent.GetWaterColor` This event is fired when a biome is queried for its water color.

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`BiomeGenBase` | `biome`

Constructor Summary
`BiomeEvent(BiomeGenBase biome)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### biome

    public final BiomeGenBase biome

Constructor Detail

### BiomeEvent

    public BiomeEvent(BiomeGenBase biome)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD